# Packmangroup: Libraries
# Packmanpackagename: libcaca
# Packman: Manfred Tremmel

#
# spec file for package libcaca (Version 0.9)
#

Name:           libcaca-devel
Summary:        Text mode graphics library
Summary(de):    Grafik Bibliothek für den Textmodus
Version:        0.9
Release:        0.pm.0
Group:          Development/Libraries/C and C++
License:        GPL
URL:            http://sam.zoy.org/projects/libcaca/

Source0:        libcaca-0.9.tar.bz2

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.3 (i586)
Requires:       XFree86-libs
Requires:       ncurses
Requires:       slang
Requires:       imlib2
BuildRequires:  XFree86-devel
BuildRequires:  ncurses-devel
BuildRequires:  slang-devel
BuildRequires:  imlib2-devel
BuildRequires:  doxygen
BuildRequires:  tetex
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Packmandepends: imlib2

%description
libcaca is the Colour AsCii Art library. It provides high level functions
for colour text drawing, simple primitives for line, polygon and ellipse
drawing, as well as powerful image to text conversion routines.

This package contains the header files and static libraries needed to
compile applications or shared objects that use libcaca.

%description -l de
libcaca ist die Colour AsCii Art library. Sie stellt High Level Funktionen
für Bilddarstellung als farbiger Text, zum Zeichnen einfacher Primitive,
Polygone und Ellipsen, sowie mächtiger "Bild zu Text" Konvertierungsroutinen.

Dieses Paket enthält die Header-Datein und statischen Bibliotheken,
die zur Entwicklung von Anwendungen benötigt werden, welche
die libcaca verwenden.

%package -n caca-utils
Summary:      Text mode graphics utilities
Summary(de):  Textmodus Grafik-Utilities
Group:        Productivity/Graphics/Other

%description -n caca-utils
This package contains utilities and demonstration programs for libcaca, the
Colour AsCii Art library.

cacaview is a simple image viewer for the terminal. It opens most image
formats such as JPEG, PNG, GIF etc. and renders them on the terminal using
ASCII art. The user can zoom and scroll the image, set the dithering method
or enable anti-aliasing.

cacaball is a tiny graphic program that renders animated ASCII metaballs on
the screen, cacafire is a port of AALib's aafire and displays burning ASCII
art flames, cacamoir animates colourful moire circles and cacaplas displays
an old school plasma effect.

cacademo is a simple application that shows the libcaca rendering features
such as line and ellipses drawing, triangle filling and sprite blitting.

%description -n caca-utils -l de
Dieses Paket enthält Utilities und Demonstrationsprogramme zur libcaca, der
Colour AsCii Art library.

cacaview ist ein einfacher Bildbetrachter für die Textkonsole. Es öffnet
die meisten Bildformate wie JPEG, PNG, GIF usw. und rendert sie auf dem
Terminal mit Hilfe von ASCII Art. Der Benutzer kann in das Bild hinein-
zoomen und darin herumscrollen, die Ditheringmethode einstellund und
Kantenglättung an oder abstellen.

cacaball ist ein kleines Grafikprogramm, welches animierte ASCII Metaballs
auf den Bildschirm zeichnet. cacafire ist eine Portierung  port von AALibs
aafire und zeigt eine brennende ASCII art Flamme. cacamoir animiert farbige
Moire Kreise und cacaplas zeigt den Plasmaeffekt alter Schule.

cacademo ist eine einfache Anwendung die die libcaca Rendering Features,
wie das Zeichnen von Linien, Ellipsen zeichnen, Rechtecke füllen und
Sprites einblenden.

%prep
%setup -n libcaca-0.9

%build
export CFLAGS="${RPM_OPT_FLAGS}"
./configure --prefix=%{_prefix} \
  --libdir=%{_libdir} \
  --bindir=%{_bindir} \
  --mandir=%{_mandir} \
  --infodir=%{_infodir} \
  --enable-slang --enable-ncurses --enable-x11 --enable-imlib2 --disable-doc
%__make

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%makeinstall

%post
%run_ldconfig

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/caca-config
%{_libdir}/*
%{_includedir}/caca.h
%{_datadir}/doc/libcaca-dev/*
%{_mandir}/man1/caca-config.*

%files -n caca-utils
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS NOTES README THANKS TODO
%{_bindir}/cacaball
%{_bindir}/cacademo
%{_bindir}/cacafire
%{_bindir}/cacamoir
%{_bindir}/cacaplas
%{_bindir}/cacaview
%{_datadir}/libcaca/*
%{_mandir}/man1/cacademo.*
%{_mandir}/man1/cacaview.*

%changelog
* Fri Mar 05 2004 - Manfred.Tremmel@iiv.de
- Initial version
